Subject: [multimob] PMIPv6 base solution draft - NAT issue

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 5 May 2010 08:55:49 -0700 (PDT)

Hi Thomas, all,
  Regarding draft-ietf-multimob-pmipv6-base-solution-00, Section 4.4, I was wondering if we should discuss NAT issues?
 
When we deal with IPv4, IESG I think cares a lot about what happens with any NAT boxes in the path.
 
Recently I came to know RFC 5135 and I think this RFC could provide some help on this issue.
 
Regards,
 
Behcet

---

From: "Thomas C. Schmidt" <[email-masked]>
Date: Fri, 14 May 2010 18:04:58 +0200

Hi Behcet,

I don't think we have to address NAT issues here:
NAT issues would only apply if present at the MAG. But RFC 5844 states:

" o  A deployment where a mobile access gateway uses an IPv4 private
       address with NAT [RFC3022] translation devices in the path to a
       local mobility anchor is not supported by this specification.
"

NATs outside the PMIP domain are beyond the scope of the document ... 
and RFC 5135 solutions could be applied fully independent of mobility 
management.

Best,

Thomas

On 05.05.2010 17:55, Behcet Sarikaya wrote:
> _______________________________________________
> multimob mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/multimob

-- 

Prof. Dr. Thomas C. Schmidt
° Hamburg University of Applied Sciences                   Berliner Tor 7 °
° Dept. Informatik, Internet Technologies Group    20099 Hamburg, Germany °
° http://www.haw-hamburg.de/inet                   Fon: +49-40-42875-8452 °
° http://www.informatik.haw-hamburg.de/~schmidt    Fax: +49-40-42875-8409 °

---

From: Behcet Sarikaya <[email-masked]>
Date: Mon, 17 May 2010 07:31:28 -0700 (PDT)

> I don't think we have to address NAT issues here:
NAT 
> issues would only apply if present at the MAG. But RFC 5844 states:

" 
> o  A deployment where a mobile access gateway uses an IPv4 
> private
      address with NAT [RFC3022] translation devices 
> in the path to a
      local mobility anchor is not supported 
> by this specification.
"

> scope of the document ... 
and RFC 5135 solutions could be applied fully 
> independent of mobility 
management.

If RFC 5135 could be applied then we have to have the proxy at the NAT device which means at the MAG. Having NAT device at the MAG is probably not singled out by draft-ietf-netlmm-pmip6-ipv4-support-18? 

We should discuss these issues, having the NAT device at the MAG or after LMA. A short discussion might help.

Regards,

Behcet